<template>
	<view class="wenjuan-wen">
		<view class="bianhao">
			{{index}}、{{item.quesName}}
		</view>
		<textarea class="textarea" v-model="value" @input="changewen"></textarea>
	</view>
</template>

<script>
	export default {
		props: {
			index: {
				type: [Number, String],
				default: 0
			},
			item: {
				type: Object,
				default () {
					return {}
				}
			}
		},
		data() {
			return {
				value: ''
			}
		},
		onLoad() {

		},
		methods: {
			changewen() {
				this.$emit('changewen', this.value)
			}
		}
	}
</script>

<style lang="scss">
	.wenjuan-wen {
		.textarea {
			width: 100%;
			height: 128rpx;
			border-radius: 12rpx;
			border: 1rpx solid #167FFF;
			padding: 10rpx 20rpx;
			box-sizing: border-box;
			margin-top: 20rpx;
		}

		.bianhao {
			font-size: 28rpx;
			font-family: PingFangSC-Medium, PingFang SC;
			font-weight: 500;
			color: #222222;
			line-height: 44rpx;
		}
	}
</style>